Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXException Class Reference

ACEXML_SAXException. More...

`#include <SAXExceptions.h>`

Inheritance diagram for ACEXML_SAXException:

[legend]
Collaboration diagram for ACEXML_SAXException:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXException (void)
| Default constructor.
| ACEXML_SAXException (const ACEXML_Char *msg)
| Constructor initializing the exception message.
ACEXML_SAXException & | operator= (const ACEXML_SAXException &src)
| Assignment operator.
| ACEXML_SAXException (const ACEXML_SAXException &ex)
| Copy constructor.
virtual | ~ACEXML_SAXException (void)
| Destructor.
virtual void | _raise (void)
| Throw the exception.
virtual const ACEXML_Char * | id (void) const
| Return the name of the exception.
const ACEXML_Char * | message (void)
| Return the extra message accompanying the exception.
virtual ACEXML_Exception * | duplicate (void) const
| Dynamically create a copy of this exception.
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specified by <name>.
virtual void | print (void)
| Print out exception using ACE_DEBUG.
## Static Public Methods
ACEXML_SAXException * | _downcast (ACEXML_Exception *ex)
| Static narrow operation.
## Protected Attributes
ACEXML_Char * | message_
| A message providing more information about the exception being thrown.
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACEXML_SAXException_name

## Detailed Description

ACEXML_SAXException.

ACEXML_SAXException is the mother of all SAX related exceptions.

## Constructor & Destructor Documentation

ACEXML_SAXException::ACEXML_SAXException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXException::ACEXML_SAXException | ( | const ACEXML_Char * | msg | ) |

| Constructor initializing the exception message.

ACEXML_SAXException::ACEXML_SAXException | ( | const ACEXML_SAXException & | ex | ) |

| Copy constructor.

ACEXML_SAXException::~ACEXML_SAXException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_SAXException * ACEXML_SAXException::_downcast | ( | ACEXML_Exception * | ex | ) | `[static]`

| Static narrow operation. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_INLINE void ACEXML_SAXException::_raise | ( | void |  | ) | `[virtual]`

| Throw the exception. Implements ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_Exception * ACEXML_SAXException::duplicate | ( | void |  | ) | const`[virtual]`

| Dynamically create a copy of this exception. Implements ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXException::id | ( | void |  | ) | const`[virtual]`

| Return the name of the exception. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

int ACEXML_SAXException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specified by <name>. Implements ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXException::message | ( | void |  | ) |

| Return the extra message accompanying the exception.

ACEXML_SAXException & ACEXML_SAXException::operator= | ( | const ACEXML_SAXException & | src | ) |

| Assignment operator.

void ACEXML_SAXException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Implements ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXException::exception_name_ = ACEXML_SAXException_name`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_Char* ACEXML_SAXException::message_`[protected]`

| A message providing more information about the exception being thrown.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i